com.threerings.parlor.game.server

## Class GameWatcher<T extends GameObject>

- java.lang.Object
- - com.threerings.parlor.game.server.GameWatcher<T>

All Implemented Interfaces:
  com.threerings.presents.dobj.AttributeChangeListener, com.threerings.presents.dobj.ChangeListener

    public abstract class GameWatcher<T extends GameObject>
    extends Object
    implements com.threerings.presents.dobj.AttributeChangeListener

An abstract convenience class used server-side to keep an eye on a game and perform a one-time game-over activity when the game ends. Classes that care to make use of the game watcher should create an instance with their newly created `GameObject` and implement `gameDidEnd(T)`.

### Constructor Summary

Constructors
Constructor and Description
`GameWatcher()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `attributeChanged(com.threerings.presents.dobj.AttributeChangedEvent event)`
`void` `init(com.threerings.crowd.server.PlaceManager plmgr)`
`void` `init(T gameobj)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GameWatcher

    public GameWatcher()

### Method Detail

#### init

    public void init(com.threerings.crowd.server.PlaceManager plmgr)

#### init

    public void init(T gameobj)

#### attributeChanged

    public void attributeChanged(com.threerings.presents.dobj.AttributeChangedEvent event)

Specified by:
  `attributeChanged` in interface `com.threerings.presents.dobj.AttributeChangeListener`